Subject: RE: [mobile-ip] I-D ACTION:draft-mccann-mobileip-80211fh-01.txt

From: "Hesham Soliman (EAB)" <[email-masked]>
Date: Tue, 12 Nov 2002 17:11:33 +0100

> > => Mobile IPv6 deals with the change in the locator (IP address).
  > > There is no difference when this is between two visited
  > > networks or a home network and a visited one. It's the
  > > same function. You choose to call the home address a "node id"
  > > but it's still an interface id like any other IP address.
  > > Even if it identifies a virtual interface.
  > >
  > 
  > This is an implementation question, not an architectural 
  > question. 

=> What is an implementation question??

    In HIP, the
  > two are different from the start, in MIP, the node id just 
  > happens to also be a
  > routable IP address.

=> No. This is a different argument from HIP. An MN can have 
multiple home addresses on the _home_interface_. While at 
home these addresses are tied to a physical i/f, while away from
home thwey are tied to a tunnel i/f. 

  > Because treating them separately has certain tactical consequences.
  > 
  > If one considers movement to a new link without any 
  > prehandover L2 or L3
  > signaling to be a failure of routing that is detected by 
  > the MN rather than a
  > change in node id, then the solution should be to use some method to
  > re-establish the routing. 

=> This argument is orthogonal to whether one link was a home
link or both are visited links. On this argument though, the 
link between a host and a router does not involve any
routing, so I don't think it makes sense to assume that the 
routing failed. For instance, consider a MN on a link with more
than one router, if one of them fails the link between the 
MN and that router fails, but the routing is working fine
and the MN can send and receive packets. If it were using a 
prefix associated with that router and it is forced to switch
addresses, MIPv6 can do that.

The protocol should leverage the 
  > on-link routing
  > protocol, namely ND, not a protocol that is designed to 
  > manage the node id to
  > routing id binding, such as BU.

=> ND is not a routing protocol, it's a Neighbour Discovery
protocol. 

Hesham

---

From: "James Kempf" <[email-masked]>
Date: Tue, 12 Nov 2002 23:35:14 -0800

> => What is an implementation question??

Whether to use an address for the node identifier. Of course, it must be used
for the routing identifier.

> home thwey are tied to a tunnel i/f.

But it can only have a single address tied to a single name in the global DNS.
It can, of course, put multiple names into the DNS, just like it can have
multiple public keys, and thus multiple HIP identifiers. I don't think this
invalidates my argument.

> addresses, MIPv6 can do that.

If the MN's default router fails, then it must do RS/RA once again to find a new
router on the same link if it discovers the failure, or perhaps it gets ICMP
Redirect from the new router if there is active failover. Packets with the old
router's link layer address, which is what the MN's routing tables will assign
to the frame, won't be delivered.

So I think this is exactly analogous to the situation when the MN changes links
but only finds out about it afterwards. Allowing the MN to put the old router IP
address and it's PCoA into the RS allows the MN to treat the two cases the same,
resulting in a cleaner implementation.

> => ND is not a routing protocol, it's a Neighbour Discovery

But it is used by nodes to discover and route packets to hosts that are on their
link. I suppose I should have said "on link routing information discovery
protocol" to be more accurate.

            jak